org.eclipse.microprofile.openapi

## Class OASConfig

- java.lang.Object
- - org.eclipse.microprofile.openapi.OASConfig

    public final class OASConfig
    extends Object

Configurable properties in MicroProfile OpenAPI

### Field Summary

Fields
`static String` `EXTENSIONS_PREFIX` Recommended prefix for vendor specific configuration properties.
`static String` `FILTER` Configuration property to specify the fully qualified name of the OASFilter implementation.
`static String` `MODEL_READER` Configuration property to specify the fully qualified name of the OASModelReader implementation.
`static String` `SCAN_CLASSES` Configuration property to specify the list of classes to scan.
`static String` `SCAN_DISABLE` Configuration property to disable annotation scanning.
`static String` `SCAN_EXCLUDE_CLASSES` Configuration property to specify the list of classes to exclude from scans.
`static String` `SCAN_EXCLUDE_PACKAGES` Configuration property to specify the list of packages to exclude from scans.
`static String` `SCAN_PACKAGES` Configuration property to specify the list of packages to scan.
`static String` `SCHEMA_PREFIX` Prefix of the configuration property to specify a schema for a specific class, in JSON format.
`static String` `SERVERS` Configuration property to specify the list of global servers that provide connectivity information.
`static String` `SERVERS_OPERATION_PREFIX` Prefix of the configuration property to specify an alternative list of servers to service an operation.
`static String` `SERVERS_PATH_PREFIX` Prefix of the configuration property to specify an alternative list of servers to service all operations in a path.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MODEL_READER

    public static final String MODEL_READER

Configuration property to specify the fully qualified name of the OASModelReader implementation.

See Also:
  `OASModelReader`, Constant Field Values

#### FILTER

    public static final String FILTER

Configuration property to specify the fully qualified name of the OASFilter implementation.

See Also:
  `OASFilter`, Constant Field Values

#### SCAN_DISABLE

    public static final String SCAN_DISABLE

Configuration property to disable annotation scanning.

See Also:
  Constant Field Values

#### SCAN_PACKAGES

    public static final String SCAN_PACKAGES

Configuration property to specify the list of packages to scan.

See Also:
  Constant Field Values

#### SCAN_CLASSES

    public static final String SCAN_CLASSES

Configuration property to specify the list of classes to scan.

See Also:
  Constant Field Values

#### SCAN_EXCLUDE_PACKAGES

    public static final String SCAN_EXCLUDE_PACKAGES

Configuration property to specify the list of packages to exclude from scans.

See Also:
  Constant Field Values

#### SCAN_EXCLUDE_CLASSES

    public static final String SCAN_EXCLUDE_CLASSES

Configuration property to specify the list of classes to exclude from scans.

See Also:
  Constant Field Values

#### SERVERS

    public static final String SERVERS

Configuration property to specify the list of global servers that provide connectivity information.

See Also:
  Constant Field Values

#### SERVERS_PATH_PREFIX

    public static final String SERVERS_PATH_PREFIX

Prefix of the configuration property to specify an alternative list of servers to service all operations in a path.

See Also:
  Constant Field Values

#### SERVERS_OPERATION_PREFIX

    public static final String SERVERS_OPERATION_PREFIX

Prefix of the configuration property to specify an alternative list of servers to service an operation.

See Also:
  Constant Field Values

#### SCHEMA_PREFIX

    public static final String SCHEMA_PREFIX

Prefix of the configuration property to specify a schema for a specific class, in JSON format.

See Also:
  Constant Field Values

#### EXTENSIONS_PREFIX

    public static final String EXTENSIONS_PREFIX

Recommended prefix for vendor specific configuration properties.

See Also:
  Constant Field Values